<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('azmayeshes', function (Blueprint $table) {
            $table->foreignId('contract_subitem_id')->nullable()->constrained('contract_subitems')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('azmayeshes', function (Blueprint $table) {
            $table->dropForeign('contract_subitem_id');
            $table->dropColumn(['contract_subitem_id']);
        });
    }
};
